﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace DataFormCustomizedTooltips
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			List<Person> persons = new List<Person>();
			persons.Add(new Person() { FirstName = "John" });
			persons.Add(new Person() { FirstName = "Jane" });

			this.RadDataForm1.ItemsSource = persons;
			this.RadDataForm1.LayoutUpdated += new EventHandler(RadDataForm1_LayoutUpdated);
		}

		void RadDataForm1_LayoutUpdated(object sender, EventArgs e)
		{
			//handling only the first layout updated event. At this point we have the visual tree ready and may search for buttons.
			this.RadDataForm1.LayoutUpdated -= new EventHandler(RadDataForm1_LayoutUpdated);
			
			SetCustomTooltips();
		}

		private void SetCustomTooltips()
		{
			var buttons = this.RadDataForm1.ChildrenOfType<RadButton>();

			var moveToNextButton = buttons.Where(b => b.Name == "MoveCurrentToNext").First();
			ToolTipService.SetToolTip(moveToNextButton, "My custom text");

			moveToNextButton.Cursor = Cursors.SizeNESW;
		}

		public class Person
		{
			public string FirstName 
			{
				get;
				set;
			}
			public string LastName 
			{
				get;
				set;
			}
		}
	}
}
